Bug 480274 - [TAHI] IPv6 Internet address translation table test failed for RFC 4293.
[TAHI] IPv6 Internet address translation table test failed for RFC 4293.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 00:31 EST by Shirley Zhou
Modified: 2015-03-04 19:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-01 09:14:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tcpdump (2.42 KB, application/octet-stream)
2009-01-16 00:31 EST, Shirley Zhou
no flags Details

  None (edit)
Description Shirley Zhou 2009-01-16 00:31:18 EST
Created attachment 329161 [details]
tcpdump

Description of problem:
Fedora11 has not implemented all IP-MIB address translation table objects.

Version-Release number of selected component (if applicable):
net-snmp-5.4.2.1-6.fc11.i386 
net-snmp-perl-5.4.2.1-6.fc11.i386
net-snmp-utils-5.4.2.1-6.fc11.i386
net-snmp-libs-5.4.2.1-6.fc11.i386

How reproducible:
Always.

Steps to Reproduce:
1.
2.
3.

Actual results:
Address translation table test failed.

Expected results:
Address translation table test pass.

Additional info:

you may check the test information,sequence log and package at:

http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F10.9-k2.6.29-0.6.rc0.git2.fc11.i386/MIB/12.html
http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F10.9-k2.6.29-0.6.rc0.git2.fc11.i386/MIB/13.html
You may check test procedure at:

http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F10.9-k2.6.29-0.6.rc0.git2.fc11.i386/MIB/MIB_RFC4293_IPAddrTransTable.html
http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F10.9-k2.6.29-0.6.rc0.git2.fc11.i386/MIB/MIB_RFC4293_IPNettoPhyAddrCheck.html
You may refer to attached files"tcpdump" for tcpdump information.
Comment 1 Jan Safranek 2009-01-19 09:10:23 EST
If I am reading right, the test suite sent get-next ipNetToPhysicalTable PDU to snmpd and the agent returned icmpInErrors.0 (i.e. the table is empty).

How was the agent configured? ipNetToPhysicalTable works in my Rawhide (net-snmp-5.4.2.1-7.fc11) and 'rwcommunity public' as the only content of snmpd.conf.
Comment 2 Shirley Zhou 2009-01-20 00:41:30 EST
Thanks for your comment,Jan.

You may check the below information for agent configuration.
cat /etc/snmp/snmpd.conf

###############################################################################
#sec.name source community
com2sec local default public
com2sec6 local default public
com2sec mynet 192.168.0.0/24 public
com2sec6 mynet 3ffe:501:ffff:100::/64 public

createUser ipv6dod MD5 ipv6dodtest DES

# sec.model sec.name
group mygroup v1 mynet
group mygroup v2c mynet
group mygroup usm mynet
group local v1 local
group local v2c local
group local usm local

# Second, map the security name into a group name:
group   groupv3        usm          ipv6dod

# incl/excl subtree mask
view all included .1 80
view mib2 included .iso.org.dod.internet.mgmt.mib-2 fc

view included  .iso                               80

# context sec.model sec.level prefix read write notify
access mygroup "" any noauth exact mib2 none none
access local "" any noauth exact all all all
access groupv3 "" any auth exact all all all

# It is also possible to set the sysContact and sysLocation system
# variables through the snmpd.conf file:
syslocation raycom office, Redhat China Research and Development Centre
syscontact Zhiyong Wu "zwu@redhat.com"
sysServices 72

# snmpd.conf:
#   An example configuration file for configuring the ucd-snmp snmpd agent.
#
###############################################################################
#
# This file is intended to only be as a starting point.  Many more
# configuration directives exist than are mentioned in this file.  For 
# full details, see the snmpd.conf(5) manual page.
#
# All lines beginning with a '#' are comments and are intended for you
# to read.  All other lines are configuration commands for the agent.

###############################################################################
# Access Control
###############################################################################

# As shipped, the snmpd demon will only respond to queries on the
# system mib group until this file is replaced or modified for
# security purposes.  Examples are shown below about how to increase the
# level of access.

# By far, the most common question I get about the agent is "why won't
# it work?", when really it should be "how do I configure the agent to
# allow me to access it?"
#
# By default, the agent responds to the "public" community for read
# only access, if run out of the box without any configuration file in 
# place.  The following examples show you other ways of configuring
# the agent so that you can change the community names, and give
# yourself write access to the mib tree as well.
#
# For more information, read the FAQ as well as the snmpd.conf(5)
# manual page.

####
# First, map the community name "public" into a "security name"

#       sec.name  source          community
com2sec notConfigUser  default       public

####
# Second, map the security name into a group name:

#       groupName      securityModel securityName
group   notConfigGroup v1           notConfigUser
group   notConfigGroup v2c           notConfigUser

####
# Third, create a view for us to let the group have rights to:

# Make at least  snmpwalk -v 1 localhost -c public system fast again.
#       name           incl/excl     subtree         mask(optional)
view    systemview    included   .1.3.6.1.2.1.1
view    systemview    included   .1.3.6.1.2.1.25.1.1

####
# Finally, grant the group read-only access to the systemview view.

#       group          context sec.model sec.level prefix read   write  notif
access  notConfigGroup ""      any       noauth    exact  systemview none none

# -----------------------------------------------------------------------------

# Here is a commented out example configuration that allows less
# restrictive access.

# YOU SHOULD CHANGE THE "COMMUNITY" TOKEN BELOW TO A NEW KEYWORD ONLY
# KNOWN AT YOUR SITE.  YOU *MUST* CHANGE THE NETWORK TOKEN BELOW TO
# SOMETHING REFLECTING YOUR LOCAL NETWORK ADDRESS SPACE.

##       sec.name  source          community
#com2sec local     localhost       COMMUNITY
#com2sec mynetwork NETWORK/24      COMMUNITY

##     group.name sec.model  sec.name
#group MyRWGroup  any        local
#group MyROGroup  any        mynetwork
#
#group MyRWGroup  any        otherv3user
#...

##           incl/excl subtree                          mask
#view all    included  .1                               80

## -or just the mib2 tree-

#view mib2   included  .iso.org.dod.internet.mgmt.mib-2 fc


##                context sec.model sec.level prefix read   write  notif
#access MyROGroup ""      any       noauth    0      all    none   none
#access MyRWGroup ""      any       noauth    0      all    all    all


###############################################################################
# Sample configuration to make net-snmpd RFC 1213.
# Unfortunately v1 and v2c don't allow any user based authentification, so
# opening up the default config is not an option from a security point.
#
# WARNING: If you uncomment the following lines you allow write access to your
# snmpd daemon from any source! To avoid this use different names for your
# community or split out the write access to a different community and 
# restrict it to your local network.
# Also remember to comment the syslocation and syscontact parameters later as
# otherwise they are still read only (see FAQ for net-snmp).
#

# First, map the community name "public" into a "security name"
#       sec.name        source          community
#com2sec notConfigUser   default         public

# Second, map the security name into a group name:
#       groupName       securityModel   securityName
#group   notConfigGroup  v1              notConfigUser
#group   notConfigGroup  v2c             notConfigUser

# Third, create a view for us to let the group have rights to:
# Open up the whole tree for ro, make the RFC 1213 required ones rw.
#       name            incl/excl       subtree mask(optional)
#view    roview          included        .1
#view    rwview          included        system.sysContact
#view    rwview          included        system.sysName
#view    rwview          included        system.sysLocation
#view    rwview          included        interfaces.ifTable.ifEntry.ifAdminStatus
#view    rwview          included        at.atTable.atEntry.atPhysAddress
#view    rwview          included        at.atTable.atEntry.atNetAddress
#view    rwview          included        ip.ipForwarding
#view    rwview          included        ip.ipDefaultTTL
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteDest
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteIfIndex
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric1
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric2
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric3
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric4
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteType
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteAge
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMask
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric5
#view    rwview          included        ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaIfIndex
#view    rwview          included        ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaPhysAddress
#view    rwview          included        ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaNetAddress
#view    rwview          included        ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaType
#view    rwview          included        tcp.tcpConnTable.tcpConnEntry.tcpConnState
#view    rwview          included        egp.egpNeighTable.egpNeighEntry.egpNeighEventTrigger
#view    rwview          included        snmp.snmpEnableAuthenTraps

# Finally, grant the group read-only access to the systemview view.
#       group          context sec.model sec.level prefix read   write  notif
#access  notConfigGroup ""      any       noauth    exact  roview rwview none



###############################################################################
# System contact information
#

# It is also possible to set the sysContact and sysLocation system
# variables through the snmpd.conf file:

syslocation Unknown (edit /etc/snmp/snmpd.conf)
syscontact Root <root@localhost> (configure /etc/snmp/snmp.local.conf)

# Example output of snmpwalk:
#   % snmpwalk -v 1 localhost -c public system
#   system.sysDescr.0 = "SunOS name sun4c"
#   system.sysObjectID.0 = OID: enterprises.ucdavis.ucdSnmpAgent.sunos4
#   system.sysUpTime.0 = Timeticks: (595637548) 68 days, 22:32:55
#   system.sysContact.0 = "Me <me@somewhere.org>"
#   system.sysName.0 = "name"
#   system.sysLocation.0 = "Right here, right now."
#   system.sysServices.0 = 72


# -----------------------------------------------------------------------------


###############################################################################
# Process checks.
#
#  The following are examples of how to use the agent to check for
#  processes running on the host.  The syntax looks something like:
#
#  proc NAME [MAX=0] [MIN=0]
#
#  NAME:  the name of the process to check for.  It must match
#         exactly (ie, http will not find httpd processes).
#  MAX:   the maximum number allowed to be running.  Defaults to 0.
#  MIN:   the minimum number to be running.  Defaults to 0.

#
#  Examples (commented out by default):
#

#  Make sure mountd is running
#proc mountd

#  Make sure there are no more than 4 ntalkds running, but 0 is ok too.
#proc ntalkd 4

#  Make sure at least one sendmail, but less than or equal to 10 are running.
#proc sendmail 10 1

#  A snmpwalk of the process mib tree would look something like this:
# 
# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.2
# enterprises.ucdavis.procTable.prEntry.prIndex.1 = 1
# enterprises.ucdavis.procTable.prEntry.prIndex.2 = 2
# enterprises.ucdavis.procTable.prEntry.prIndex.3 = 3
# enterprises.ucdavis.procTable.prEntry.prNames.1 = "mountd"
# enterprises.ucdavis.procTable.prEntry.prNames.2 = "ntalkd"
# enterprises.ucdavis.procTable.prEntry.prNames.3 = "sendmail"
# enterprises.ucdavis.procTable.prEntry.prMin.1 = 0
# enterprises.ucdavis.procTable.prEntry.prMin.2 = 0
# enterprises.ucdavis.procTable.prEntry.prMin.3 = 1
# enterprises.ucdavis.procTable.prEntry.prMax.1 = 0
# enterprises.ucdavis.procTable.prEntry.prMax.2 = 4
# enterprises.ucdavis.procTable.prEntry.prMax.3 = 10
# enterprises.ucdavis.procTable.prEntry.prCount.1 = 0
# enterprises.ucdavis.procTable.prEntry.prCount.2 = 0
# enterprises.ucdavis.procTable.prEntry.prCount.3 = 1
# enterprises.ucdavis.procTable.prEntry.prErrorFlag.1 = 1
# enterprises.ucdavis.procTable.prEntry.prErrorFlag.2 = 0
# enterprises.ucdavis.procTable.prEntry.prErrorFlag.3 = 0
# enterprises.ucdavis.procTable.prEntry.prErrMessage.1 = "No mountd process running."
# enterprises.ucdavis.procTable.prEntry.prErrMessage.2 = ""
# enterprises.ucdavis.procTable.prEntry.prErrMessage.3 = ""
# enterprises.ucdavis.procTable.prEntry.prErrFix.1 = 0
# enterprises.ucdavis.procTable.prEntry.prErrFix.2 = 0
# enterprises.ucdavis.procTable.prEntry.prErrFix.3 = 0
#
#  Note that the errorFlag for mountd is set to 1 because one is not
#  running (in this case an rpc.mountd is, but thats not good enough),
#  and the ErrMessage tells you what's wrong.  The configuration
#  imposed in the snmpd.conf file is also shown.  
# 
#  Special Case:  When the min and max numbers are both 0, it assumes
#  you want a max of infinity and a min of 1.
#


# -----------------------------------------------------------------------------


###############################################################################
# Executables/scripts
#

#
#  You can also have programs run by the agent that return a single
#  line of output and an exit code.  Here are two examples.
#
#  exec NAME PROGRAM [ARGS ...]
#
#  NAME:     A generic name. The name must be unique for each exec statement.
#  PROGRAM:  The program to run.  Include the path!
#  ARGS:     optional arguments to be passed to the program

# a simple hello world

#exec echotest /bin/echo hello world

# Run a shell script containing:
#
# #!/bin/sh
# echo hello world
# echo hi there
# exit 35
#
# Note:  this has been specifically commented out to prevent
# accidental security holes due to someone else on your system writing
# a /tmp/shtest before you do.  Uncomment to use it.
#
#exec shelltest /bin/sh /tmp/shtest

# Then, 
# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.8
# enterprises.ucdavis.extTable.extEntry.extIndex.1 = 1
# enterprises.ucdavis.extTable.extEntry.extIndex.2 = 2
# enterprises.ucdavis.extTable.extEntry.extNames.1 = "echotest"
# enterprises.ucdavis.extTable.extEntry.extNames.2 = "shelltest"
# enterprises.ucdavis.extTable.extEntry.extCommand.1 = "/bin/echo hello world"
# enterprises.ucdavis.extTable.extEntry.extCommand.2 = "/bin/sh /tmp/shtest"
# enterprises.ucdavis.extTable.extEntry.extResult.1 = 0
# enterprises.ucdavis.extTable.extEntry.extResult.2 = 35
# enterprises.ucdavis.extTable.extEntry.extOutput.1 = "hello world."
# enterprises.ucdavis.extTable.extEntry.extOutput.2 = "hello world."
# enterprises.ucdavis.extTable.extEntry.extErrFix.1 = 0
# enterprises.ucdavis.extTable.extEntry.extErrFix.2 = 0

# Note that the second line of the /tmp/shtest shell script is cut
# off.  Also note that the exit status of 35 was returned.

# -----------------------------------------------------------------------------


###############################################################################
# disk checks
#

# The agent can check the amount of available disk space, and make
# sure it is above a set limit.  

# disk PATH [MIN=100000]
#
# PATH:  mount path to the disk in question.
# MIN:   Disks with space below this value will have the Mib's errorFlag set.
#        Default value = 100000.

# Check the / partition and make sure it contains at least 10 megs.

#disk / 10000

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.9
# enterprises.ucdavis.diskTable.dskEntry.diskIndex.1 = 0
# enterprises.ucdavis.diskTable.dskEntry.diskPath.1 = "/" Hex: 2F 
# enterprises.ucdavis.diskTable.dskEntry.diskDevice.1 = "/dev/dsk/c201d6s0"
# enterprises.ucdavis.diskTable.dskEntry.diskMinimum.1 = 10000
# enterprises.ucdavis.diskTable.dskEntry.diskTotal.1 = 837130
# enterprises.ucdavis.diskTable.dskEntry.diskAvail.1 = 316325
# enterprises.ucdavis.diskTable.dskEntry.diskUsed.1 = 437092
# enterprises.ucdavis.diskTable.dskEntry.diskPercent.1 = 58
# enterprises.ucdavis.diskTable.dskEntry.diskErrorFlag.1 = 0
# enterprises.ucdavis.diskTable.dskEntry.diskErrorMsg.1 = ""

# -----------------------------------------------------------------------------


###############################################################################
# load average checks
#

# load [1MAX=12.0] [5MAX=12.0] [15MAX=12.0]
#
# 1MAX:   If the 1 minute load average is above this limit at query
#         time, the errorFlag will be set.
# 5MAX:   Similar, but for 5 min average.
# 15MAX:  Similar, but for 15 min average.

# Check for loads:
#load 12 14 14

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.10
# enterprises.ucdavis.loadTable.laEntry.loadaveIndex.1 = 1
# enterprises.ucdavis.loadTable.laEntry.loadaveIndex.2 = 2
# enterprises.ucdavis.loadTable.laEntry.loadaveIndex.3 = 3
# enterprises.ucdavis.loadTable.laEntry.loadaveNames.1 = "Load-1"
# enterprises.ucdavis.loadTable.laEntry.loadaveNames.2 = "Load-5"
# enterprises.ucdavis.loadTable.laEntry.loadaveNames.3 = "Load-15"
# enterprises.ucdavis.loadTable.laEntry.loadaveLoad.1 = "0.49" Hex: 30 2E 34 39 
# enterprises.ucdavis.loadTable.laEntry.loadaveLoad.2 = "0.31" Hex: 30 2E 33 31 
# enterprises.ucdavis.loadTable.laEntry.loadaveLoad.3 = "0.26" Hex: 30 2E 32 36 
# enterprises.ucdavis.loadTable.laEntry.loadaveConfig.1 = "12.00"
# enterprises.ucdavis.loadTable.laEntry.loadaveConfig.2 = "14.00"
# enterprises.ucdavis.loadTable.laEntry.loadaveConfig.3 = "14.00"
# enterprises.ucdavis.loadTable.laEntry.loadaveErrorFlag.1 = 0
# enterprises.ucdavis.loadTable.laEntry.loadaveErrorFlag.2 = 0
# enterprises.ucdavis.loadTable.laEntry.loadaveErrorFlag.3 = 0
# enterprises.ucdavis.loadTable.laEntry.loadaveErrMessage.1 = ""
# enterprises.ucdavis.loadTable.laEntry.loadaveErrMessage.2 = ""
# enterprises.ucdavis.loadTable.laEntry.loadaveErrMessage.3 = ""

# -----------------------------------------------------------------------------


###############################################################################
# Extensible sections.
# 

# This alleviates the multiple line output problem found in the
# previous executable mib by placing each mib in its own mib table:

# Run a shell script containing:
#
# #!/bin/sh
# echo hello world
# echo hi there
# exit 35
#
# Note:  this has been specifically commented out to prevent
# accidental security holes due to someone else on your system writing
# a /tmp/shtest before you do.  Uncomment to use it.
#
# exec .1.3.6.1.4.1.2021.50 shelltest /bin/sh /tmp/shtest

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.50
# enterprises.ucdavis.50.1.1 = 1
# enterprises.ucdavis.50.2.1 = "shelltest"
# enterprises.ucdavis.50.3.1 = "/bin/sh /tmp/shtest"
# enterprises.ucdavis.50.100.1 = 35
# enterprises.ucdavis.50.101.1 = "hello world."
# enterprises.ucdavis.50.101.2 = "hi there."
# enterprises.ucdavis.50.102.1 = 0

# Now the Output has grown to two lines, and we can see the 'hi
# there.' output as the second line from our shell script.
#
# Note that you must alter the mib.txt file to be correct if you want
# the .50.* outputs above to change to reasonable text descriptions.

# Other ideas:
# 
# exec .1.3.6.1.4.1.2021.51 ps /bin/ps 
# exec .1.3.6.1.4.1.2021.52 top /usr/local/bin/top
# exec .1.3.6.1.4.1.2021.53 mailq /usr/bin/mailq

# -----------------------------------------------------------------------------


###############################################################################
# Pass through control.
# 

# Usage:
#   pass MIBOID EXEC-COMMAND
#
# This will pass total control of the mib underneath the MIBOID
# portion of the mib to the EXEC-COMMAND.  
#
# Note:  You'll have to change the path of the passtest script to your
# source directory or install it in the given location.
# 
# Example:  (see the script for details)
#           (commented out here since it requires that you place the
#           script in the right location. (its not installed by default))

# pass .1.3.6.1.4.1.2021.255 /bin/sh /usr/local/local/passtest

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.255
# enterprises.ucdavis.255.1 = "life the universe and everything"
# enterprises.ucdavis.255.2.1 = 42
# enterprises.ucdavis.255.2.2 = OID: 42.42.42
# enterprises.ucdavis.255.3 = Timeticks: (363136200) 42 days, 0:42:42
# enterprises.ucdavis.255.4 = IpAddress: 127.0.0.1
# enterprises.ucdavis.255.5 = 42
# enterprises.ucdavis.255.6 = Gauge: 42
#
# % snmpget -v 1 localhost public .1.3.6.1.4.1.2021.255.5
# enterprises.ucdavis.255.5 = 42
#
# % snmpset -v 1 localhost public .1.3.6.1.4.1.2021.255.1 s "New string"
# enterprises.ucdavis.255.1 = "New string"
#

# For specific usage information, see the man/snmpd.conf.5 manual page
# as well as the local/passtest script used in the above example.

# Added for support of bcm5820 cards.
pass .1.3.6.1.4.1.4413.4.1 /usr/bin/ucd5820stat

###############################################################################
# Further Information
#
#  See the snmpd.conf manual page, and the output of "snmpd -H".

And after I add "rwcommunity public" to this snmpd.conf file,these two test cases still fail.
Comment 3 Jan Safranek 2009-01-20 10:36:01 EST
Your configuration seems to be correct. Please try to start snmpd like this:
snmpd -f -Lo -Ddump,verbose:inetNetTo | tee snmpd.log

and try to rerun the test and attach snmpd.log. Please also try to run 'snmpwalk -v2c -c public localhost ipNetToPhysicalTable' and post its output here, thanks in advance.
Comment 4 Shirley Zhou 2009-01-21 04:07:18 EST
(In reply to comment #3)
Dear Jan,

You may check the below information for reference.

1.cat snmpd.log

registered debug token dump, 1
registered debug token verbose:inetNetTo, 1
verbose:inetNetToMediaTable:init_inetNetToMediaTable: called
verbose:inetNetToMediaTable:initialize_table_inetNetToMediaTable: called
verbose:inetNetToMediaTable:inetNetToMediaTable_init_data: called
verbose:inetNetToMediaTable:inetNetToMediaTable_container_init: called
[init_smux] bind failed: Address already in use
Error opening specified endpoint ""
Server Exiting with code 1

2.Output of command snmpwalk -v2c -c public localhost ipNetToPhysicalTable:

IP-MIB::ipNetToPhysicalTable = No Such Object available on this agent at this OID
Comment 5 Jan Safranek 2009-01-22 09:42:31 EST
>1.cat snmpd.log

> Error opening specified endpoint ""
> Server Exiting with code 1

This IMHO indicates that there is another snmpd running on the same port. Please kill all the 'old' snmpd daemons before you start new one.
Comment 6 Shirley Zhou 2009-03-23 01:15:26 EDT
Hi, Jan

1.cat snmpd.log

registered debug token dump, 1
registered debug token verbose:inetNetTo, 1
verbose:inetNetToMediaTable:init_inetNetToMediaTable: called
verbose:inetNetToMediaTable:initialize_table_inetNetToMediaTable: called
verbose:inetNetToMediaTable:inetNetToMediaTable_init_data: called
verbose:inetNetToMediaTable:inetNetToMediaTable_container_init: called
error finding row index in _ifXTable_container_row_restore
NET-SNMP version 5.4.2.1
Connection from UDP: [127.0.0.1]:34023->[127.0.0.1]
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command SET
dumph_recv:     request_id
dumpx_recv:      02 04 69 88 7F C8 
dumpv_recv:        Integer:	1770553288 (0x69887FC8)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 04 23 
dumpv_recv:            ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.4.35
dumph_recv:         Value
dumpx_recv:          02 01 00 
dumpv_recv:            Integer:	0 (0x00)
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 04 23 
dumpv_send:        ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.4.35
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 69 88 7F C8 
dumpv_send:    Integer:	1770553288 (0x69887FC8)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP: [127.0.0.1]:41350->[127.0.0.1]
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command SET
dumph_recv:     request_id
dumpx_recv:      02 04 6A 20 91 75 
dumpv_recv:        Integer:	1780519285 (0x6A209175)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 05 1D 
dumpv_recv:            ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.5.29
dumph_recv:         Value
dumpx_recv:          02 01 00 
dumpv_recv:            Integer:	0 (0x00)
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 05 1D 
dumpv_send:        ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.5.29
dumph_send: error index
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: error status
dumpx_send:  02 01 0B 
dumpv_send:    Integer:	11 (0x0B)
dumph_send: request_id
dumpx_send:  02 04 6A 20 91 75 
dumpv_send:    Integer:	1780519285 (0x6A209175)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 09 2B 06 01 02 01 04 23 01 04 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      41 01 38 
dumpv_send:        UInteger:	56 (0x38)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 05 01 00 
dumpv_send:        ObjID: IP-MIB::icmpInMsgs.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 04 24 
dumpv_recv:            ObjID: IP-MIB::ipv6ScopeZoneIndexTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      41 01 38 
dumpv_send:        UInteger:	56 (0x38)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 05 01 00 
dumpv_send:        ObjID: IP-MIB::icmpInMsgs.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 04 25 
dumpv_recv:            ObjID: IP-MIB::ipDefaultRouterTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      41 01 38 
dumpv_send:        UInteger:	56 (0x38)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 05 01 00 
dumpv_send:        ObjID: IP-MIB::icmpInMsgs.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 05 1D 
dumpv_recv:            ObjID: IP-MIB::icmpStatsTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 01 
dumpv_send:        Integer:	1 (0x01)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 06 01 00 
dumpv_send:        ObjID: TCP-MIB::tcpRtoAlgorithm.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0D 
dumpv_recv:        Integer:	13 (0x0D)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 05 1E 
dumpv_recv:            ObjID: IP-MIB::icmpMsgStatsTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 01 
dumpv_send:        Integer:	1 (0x01)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 06 01 00 
dumpv_send:        ObjID: TCP-MIB::tcpRtoAlgorithm.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0D 
dumpv_send:    Integer:	13 (0x0D)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GET
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 0A 2B 06 01 02 01 05 1D 01 02 02 
dumpv_recv:            ObjID: IP-MIB::icmpStatsInMsgs.ipv6
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      80 00 
dumpv_send:        NULL
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 02 01 05 1D 01 02 02 
dumpv_send:        ObjID: IP-MIB::icmpStatsInMsgs.ipv6
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
verbose:inetNetToMediaTable:inetNetToMediaTable_container_free: called
Connection from UDP: [127.0.0.1]:46904->[127.0.0.1]
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 04 2E 5C 4F D5 
dumpv_recv:        Integer:	777801685 (0x2E5C4FD5)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 04 23 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalTable
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      41 01 38 
dumpv_send:        UInteger:	56 (0x38)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 05 01 00 
dumpv_send:        ObjID: IP-MIB::icmpInMsgs.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 2E 5C 4F D5 
dumpv_send:    Integer:	777801685 (0x2E5C4FD5)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP: [127.0.0.1]:46904->[127.0.0.1]
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GET
dumph_recv:     request_id
dumpx_recv:      02 04 2E 5C 4F D6 
dumpv_recv:        Integer:	777801686 (0x2E5C4FD6)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 04 23 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      80 00 
dumpv_send:        NULL
dumph_send:     Name
dumpx_send:      06 07 2B 06 01 02 01 04 23 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalTable
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 2E 5C 4F D6 
dumpv_send:    Integer:	777801686 (0x2E5C4FD6)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
verbose:inetNetToMediaTable:inetNetToMediaTable_container_free: called

2.Output of command snmpwalk -v2c -c public localhost ipNetToPhysicalTable:

IP-MIB::ipNetToPhysicalTable = No Such Object available on this agent at this
OID  

Thanks a lot!
Shirley
Comment 7 Shirley Zhou 2009-05-26 23:02:29 EDT
Hi,Jan 

Any update for this issue?

Thanks a lot!

Shirley
Comment 8 Bug Zapper 2009-06-09 06:44:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jan Safranek 2009-06-11 04:10:56 EDT
Sorry for late response... Looking at the log, these two lines are weird:

verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records

That means your /proc/net/arp and IPv6 neighbour cache (obtained via netlink) is empty... which is very strange. I assume that the node under test has sent some packets before the test started (e.g. when establishing SSH connection).

Could you please retry the test from comment #3, but fill the ARP table and neighbour cache before the test starts:

1) ping (IPv4) any machine on local segment (e.g. the default router). Look at /proc/net/arp, if there is something and attach it to this bug report.

2) ping (IPv6) any machine on local segment (if you have IPv6 configured). Look at output of 'ip -6 neigh show' command and attach it to this bug report.

I hope with some entries in these tables you can correctly get data from pNetToPhysicalTable. If not, show me the log :).
Comment 10 Shirley Zhou 2009-06-12 08:19:20 EDT
my case still failed
after I ping ipv4 and ipv6 address, I can get entry.
but our test suit need repeat reboot our Fedora OS, so I did not get arp entry when I did not do ping command

Output of command snmpwalk -v2c -c public localhost ipNetToPhysicalTable:

IP-MIB::ipNetToPhysicalTable = No Such Object available on this agent at this
OID  

snmpd.log info:

registered debug token dump, 1
registered debug token verbose:inetNetTo, 1
verbose:inetNetToMediaTable:init_inetNetToMediaTable: called
verbose:inetNetToMediaTable:initialize_table_inetNetToMediaTable: called
verbose:inetNetToMediaTable:inetNetToMediaTable_init_data: called
verbose:inetNetToMediaTable:inetNetToMediaTable_container_init: called
dumph_send: ?0xA4?
dumph_send: timestamp
dumpx_send:  43 01 2C 
dumpv_send:    UInteger:	44 (0x2C)
dumph_send: specific trap number
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: generic trap number
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: agent Address
dumpx_send:  40 04 00 00 00 00 
dumpv_send:    String:	....
dumph_send: enterprise OBJID
dumpx_send:  06 0A 2B 06 01 04 01 BF 08 03 02 0A 
dumpv_send:    ObjID: NET-SNMP-MIB::netSnmpAgentOIDs.10
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: SNMPv1 Message
snmpd: send_trap: Failure in sendto (Network is unreachable)
dumph_send: TRAP2
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      06 0A 2B 06 01 04 01 BF 08 03 02 0A 
dumpv_send:        ObjID: NET-SNMP-MIB::netSnmpAgentOIDs.10
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 06 03 01 01 04 03 00 
dumpv_send:        ObjID: SNMPv2-MIB::snmpTrapEnterprise.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      06 09 2B 06 01 06 03 01 01 05 01 
dumpv_send:        ObjID: SNMPv2-MIB::coldStart
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 06 03 01 01 04 01 00 
dumpv_send:        ObjID: SNMPv2-MIB::snmpTrapOID.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      43 01 2C 
dumpv_send:        UInteger:	44 (0x2C)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 01 03 00 
dumpv_send:        ObjID: DISMAN-EVENT-MIB::sysUpTimeInstance
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 2C 4E 8F 1D 
dumpv_send:    Integer:	743345949 (0x2C4E8F1D)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
snmpd: send_trap: Failure in sendto (Network is unreachable)
NET-SNMP version 5.4.2.1
Connection from UDP: [127.0.0.1]:45340->[127.0.0.1]
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command SET
dumph_recv:     request_id
dumpx_recv:      02 04 3C 18 0A 77 
dumpv_recv:        Integer:	1008208503 (0x3C180A77)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 04 23 
dumpv_recv:            ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.4.35
dumph_recv:         Value
dumpx_recv:          02 01 00 
dumpv_recv:            Integer:	0 (0x00)
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 04 23 
dumpv_send:        ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.4.35
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 3C 18 0A 77 
dumpv_send:    Integer:	1008208503 (0x3C180A77)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 09 2B 06 01 02 01 04 23 01 04 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      41 01 01 
dumpv_send:        UInteger:	1 (0x01)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 05 01 00 
dumpv_send:        ObjID: IP-MIB::icmpInMsgs.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 04 24 
dumpv_recv:            ObjID: IP-MIB::ipv6ScopeZoneIndexTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      41 01 01 
dumpv_send:        UInteger:	1 (0x01)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 05 01 00 
dumpv_send:        ObjID: IP-MIB::icmpInMsgs.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 04 25 
dumpv_recv:            ObjID: IP-MIB::ipDefaultRouterTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      41 01 01 
dumpv_send:        UInteger:	1 (0x01)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 05 01 00 
dumpv_send:        ObjID: IP-MIB::icmpInMsgs.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 05 1D 
dumpv_recv:            ObjID: IP-MIB::icmpStatsTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 01 
dumpv_send:        Integer:	1 (0x01)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 06 01 00 
dumpv_send:        ObjID: TCP-MIB::tcpRtoAlgorithm.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0D 
dumpv_recv:        Integer:	13 (0x0D)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 05 1E 
dumpv_recv:            ObjID: IP-MIB::icmpMsgStatsTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 01 
dumpv_send:        Integer:	1 (0x01)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 06 01 00 
dumpv_send:        ObjID: TCP-MIB::tcpRtoAlgorithm.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0D 
dumpv_send:    Integer:	13 (0x0D)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GET
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 0A 2B 06 01 02 01 05 1D 01 02 02 
dumpv_recv:            ObjID: IP-MIB::icmpStatsInMsgs.ipv6
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      80 00 
dumpv_send:        NULL
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 02 01 05 1D 01 02 02 
dumpv_send:        ObjID: IP-MIB::icmpStatsInMsgs.ipv6
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
verbose:inetNetToMediaTable:inetNetToMediaTable_container_free: called
Connection from UDP: [127.0.0.1]:38158->[127.0.0.1]
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 04 0F C8 9F 01 
dumpv_recv:        Integer:	264806145 (0xFC89F01)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 04 23 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalTable
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      41 01 01 
dumpv_send:        UInteger:	1 (0x01)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 05 01 00 
dumpv_send:        ObjID: IP-MIB::icmpInMsgs.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 0F C8 9F 01 
dumpv_send:    Integer:	264806145 (0xFC89F01)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP: [127.0.0.1]:38158->[127.0.0.1]
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GET
dumph_recv:     request_id
dumpx_recv:      02 04 0F C8 9F 02 
dumpv_recv:        Integer:	264806146 (0xFC89F02)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 07 2B 06 01 02 01 04 23 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalTable
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      80 00 
dumpv_send:        NULL
dumph_send:     Name
dumpx_send:      06 07 2B 06 01 02 01 04 23 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalTable
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 0F C8 9F 02 
dumpv_send:    Integer:	264806146 (0xFC89F02)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
verbose:inetNetToMediaTable:inetNetToMediaTable_container_free: called
Comment 11 Jan Safranek 2009-10-01 09:14:03 EDT
I have just submitted net-snmp-5.5 to soon-to-be-rawhide. Please note that current rawhide is frozen and shows content for Fedora 12, where is still net-snmp-5.4. Before rawhide gets unfrozen and shows content for Fedora 13, you can find the net-snmp-5.5 packages in Koji at http://kojipkgs.fedoraproject.org/packages/net-snmp/5.5/1.fc13/

Note You need to log in before you can comment on or make changes to this bug.